package com.objsys.asn1c.popup.actions;

import org.eclipse.core.resources.IProject;
import org.eclipse.jface.viewers.IStructuredSelection;
import org.eclipse.jface.viewers.StructuredSelection;
import org.eclipse.jface.wizard.WizardDialog;
import org.eclipse.ui.IWorkbench;
import org.eclipse.ui.PlatformUI;

import com.objsys.asn1c.validator.wizard.ASN1CWizard;


public class ConfigureAction extends AbstractProjectActionDelegate {
  public ConfigureAction() {}

  @Override
  protected void process(IProject res) {
    // Instantiates and initializes an edit wizard
    ASN1CWizard wizard = new ASN1CWizard(false);
    IStructuredSelection sel = null;
    if (res != null) {
      sel = new StructuredSelection(res);
    }
    IWorkbench workbench = PlatformUI.getWorkbench();
    wizard.init(workbench, sel);
    // Instantiates the wizard container with the wizard and opens it
    WizardDialog dialog = new WizardDialog(workbench.getActiveWorkbenchWindow().getShell(), wizard);
    dialog.create();
    dialog.open();
  }
}
