package com.objsys.asn1c.validator.lib;

import org.eclipse.jdt.core.IClasspathEntry;
import org.eclipse.jdt.core.IJavaProject;
import org.eclipse.jdt.core.JavaCore;
import org.eclipse.jdt.ui.wizards.IClasspathContainerPage;
import org.eclipse.jdt.ui.wizards.IClasspathContainerPageExtension;
import org.eclipse.jdt.ui.wizards.NewElementWizardPage;
import org.eclipse.swt.SWT;
import org.eclipse.swt.widgets.Composite;

public class ASN1CClasspathContainerPage extends NewElementWizardPage implements IClasspathContainerPage, IClasspathContainerPageExtension {

  public ASN1CClasspathContainerPage() {
    super("ASN1CClasspathContainerPage"); //$NON-NLS-1$
    setTitle(Messages.ASN1CClasspathContainerPage_wizard_title);
    setDescription(Messages.ASN1CClasspathContainerPage_wizard_description);
  }

  public boolean finish() {
    return true;
  }

  public IClasspathEntry getSelection() {
    return JavaCore.newContainerEntry(ASN1CClasspathContainerInitializer.ASN1C_LIBS_PATH);
  }

  public void setSelection(IClasspathEntry containerEntry) {
  }

  public void createControl(Composite parent) {

    Composite composite= new Composite(parent, SWT.NONE);
    composite.setFont(parent.getFont());

    setControl(composite);
  }

  /* (non-Javadoc)
   * @see org.eclipse.jdt.ui.wizards.IClasspathContainerPageExtension#initialize(org.eclipse.jdt.core.IJavaProject, org.eclipse.jdt.core.IClasspathEntry[])
   */
  public void initialize(IJavaProject project, IClasspathEntry[] currentEntries) {
  }

}
