package com.objsys.asn1c.popup.actions;

import java.net.URL;

import org.eclipse.jface.action.IAction;
import org.eclipse.jface.dialogs.MessageDialog;
import org.eclipse.jface.viewers.ISelection;
import org.eclipse.ui.IWorkbenchWindow;
import org.eclipse.ui.IWorkbenchWindowActionDelegate;
import org.eclipse.ui.PlatformUI;
import org.eclipse.ui.browser.IWorkbenchBrowserSupport;

public class LinkAction implements IWorkbenchWindowActionDelegate {

  public void run(IAction action) {
    try {
      URL url = new URL("http://www.obj-sys.com/"); //$NON-NLS-1$
      IWorkbenchBrowserSupport browserSupport = PlatformUI.getWorkbench().getBrowserSupport();
      browserSupport.createBrowser("obj-sys").openURL(url); //$NON-NLS-1$
    } catch (Exception e) {
      MessageDialog.openError(null, "Error", "Error while opening web page.");  //$NON-NLS-1$//$NON-NLS-2$
    }
  }

  public void dispose() {
  }

  public void init(IWorkbenchWindow window) {
  }

  public void selectionChanged(IAction action, ISelection selection) {
  }

}
