package com.objsys.asn1c.popup.actions;

import org.eclipse.jface.action.IAction;
import org.eclipse.jface.viewers.ISelection;
import org.eclipse.jface.wizard.WizardDialog;
import org.eclipse.ui.IWorkbench;
import org.eclipse.ui.IWorkbenchWindow;
import org.eclipse.ui.IWorkbenchWindowActionDelegate;
import org.eclipse.ui.PlatformUI;

import com.objsys.asn1c.validator.wizard.ASN1CWizard;

public class NewProjectAction
   implements IWorkbenchWindowActionDelegate
{
   public NewProjectAction() {}

   public void dispose() {}

   public void init(IWorkbenchWindow window) {}

   public void run(IAction action) {
      // Instantiates and initializes an new project wizard
      ASN1CWizard wizard = new ASN1CWizard(true);
      IWorkbench workbench = PlatformUI.getWorkbench();
      wizard.init(workbench, null);
      // Instantiates the wizard container with the wizard and opens it
      WizardDialog dialog = new WizardDialog(
            workbench.getActiveWorkbenchWindow().getShell(), wizard);
      dialog.create();
      dialog.open();      
   }

   public void selectionChanged(IAction action, ISelection selection) {}
}
